Module | Tk::Vu
In: | tk/lib/tkextlib/vu.rb tk/lib/tkextlib/vu/spinbox.rb tk/lib/tkextlib/vu/pie.rb tk/lib/tkextlib/vu/dial.rb tk/lib/tkextlib/vu/charts.rb tk/lib/tkextlib/vu/bargraph.rb

### Methods

package_name package_version

### Classes and Modules

Module Tk::Vu::ChartsConfig
Module Tk::Vu::PieSliceConfigMethod
Class Tk::Vu::Bargraph
Class Tk::Vu::Dial
Class Tk::Vu::NamedPieSlice
Class Tk::Vu::Pie
Class Tk::Vu::PieSlice
Class Tk::Vu::TkcBarchart
Class Tk::Vu::TkcSticker
Class Tk::Vu::TkcStripchart

### Constants

PACKAGE_NAME | = | 'vu'.freeze
Spinbox | = | TkSpinbox

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/vu.rb, line 24
        def self.package_name
          PACKAGE_NAME
        end

package_version()

[Source]

    # File tk/lib/tkextlib/vu.rb, line 28
        def self.package_version
          begin
            TkPackage.require('vu')
          rescue
            ''
          end
        end

[Validate]